 /*
  * Copyright (C), 2018-2020
  * Project: starter
  * FileName: LocaleFinder
  * Author:   xx
  * Date:     2020/8/31 22:19
  */
 package com.fr.plugin.ihsf;

 import com.fanruan.api.i18n.I18nKit;
 import com.fr.intelli.record.Focus;
 import com.fr.intelli.record.Original;
 import com.fr.plugin.context.PluginContexts;
 import com.fr.record.analyzer.EnableMetrics;
 import com.fr.stable.fun.Authorize;
 import com.fr.stable.fun.impl.AbstractLocaleFinder;

 /**
  * <Function Description><br>
  * <LocaleFinder>
  *
  * @author xx
  * @since 1.0.0
  */
 @Authorize(callSignKey = LocaleFinder.PLUGIN_ID)
 @EnableMetrics
 public class LocaleFinder extends AbstractLocaleFinder {
     public static final String PLUGIN_ID = "com.fr.plugin.ihsf.rpc";

     @Override
     @Focus(id = PLUGIN_ID, text = "Plugin-ihsf", source = Original.PLUGIN)
     public String find() {
         if (PluginContexts.currentContext() == null || !PluginContexts.currentContext().isAvailable()) {
             throw new RuntimeException(I18nKit.getLocText("Plugin-ihsf_Licence_Expired"));
         }
         return "com/fr/plugin/ihsf/locale/lang";
     }

     @Override
     public int currentAPILevel() {
         return CURRENT_LEVEL;
     }
 }